New order

zondacrypto market allows you to place the following orders: limit, market, fill or kill and post only. See below for details. Each unused parameter should be assigned a null value.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Limit - standard method to perform order. Default view on the exchange.

Market - quick transaction. If you want to buy/sell cryptocurrency immediately. You only indicate the amount you want to spend on it, and the system automatically uses the best of the orders (at the lowest exchange rate) and exchanges funds for the digital currency you indicated.

Post only - order post only is to ensure that you always pay the MAKER commission. When you try to set up this type of order, you can be sure that it will be issued to the list of orders (orderbook) or canceled (in case of immediate transaction, which would result in collecting the TAKER commission)

Fill or Kill - order is a limit order that must be filled immediately in its entirety or it is canceled (killed). The purpose of a fill or kill order is to ensure that a position is entered instantly and at a specific price.

IOC (Immediate or Cancel) - a limit offer, which allows to buy or sell cryptocurrency immediately by selected exchange rate or more favourable. In contrast, to Fill or Kill - IOC allows to a partial realisation of your offer if it cannot be filled immediately.

If any of required parameters is unused - it shoulde be a null value.

{
  "offerType": "BUY",
  "amount": "20",
  "price": null,
  "rate": null,
  "postOnly": false,
  "mode": "market",
  "fillOrKill": false
}
{
  "offerType": "BUY",
  "amount": null,
  "price": "500",
  "rate": null,
  "postOnly": false,
  "mode": "market",
  "fillOrKill": false
}
{
  "offerType": "SELL",
  "amount": "1",
  "price": null,
  "rate": "24600",
  "postOnly": false,
  "mode": "limit",
  "fillOrKill": false
}
{
  "offerType": "BUY",
  "amount": "100",
  "price": null,
  "rate": "0.8",
  "postOnly": true,
  "mode": "limit",
  "fillOrKill": false
}
{
  "offerType": "BUY",
  "amount": "11",
  "price": null,
  "rate": "230.11",
  "postOnly": false,
  "mode": "limit",
  "fillOrKill": true
}
{
  "offerType": "SELL",
  "amount": "10",
  "price": null,
  "rate": "1.07",
  "postOnly": false,
  "mode": "limit",
  "immediateOrCancel": true
}

Response details

KeyTypeDescription
completedbooleanIf the order was completed entirely
offerIdUUIDUUID of the order
transactionsarrayArray of finished transactions during order execution
  • amount
decimalAmount of cryptocurrency in the transaction
  • rate
decimalRate of finished transaction.
Path Params
string
required
Defaults to BTC-PLN

Symbol of trading pair that your request refers to

Body Params
float
required

The amount of cryptocurrency

float
required

Rate of the order

float

Total price of the order. Can be used only in market mode and replaces rate parameter. Proper use is presented below.

string
required

Order type: buy / sell

string
required

Order mode: limit / market

boolean

If order is postOnly

boolean

If order is fillOrKill

boolean

If order is immediateOrCancel.

string

UUID of the wallet for first currency from selected market. If not used - the transaction will be made using default wallet.

string

UUID of the wallet for second currency from selected market. If not used - the transaction will be made using default wallet.

Response

Language
Credentials
LoadingLoading…
Response
Choose an example:
application/json